{
    "doc": "The somatic information.",
    "fields": [
        {
            "doc": "The primary site",
            "name": "primarySite",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "The primary site subtype",
            "name": "siteSubtype",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "The primary histology",
            "name": "primaryHistology",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "The histology subtype",
            "name": "histologySubtype",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "The tumour origin",
            "name": "tumourOrigin",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "The sample source, e.g. blood-bone marrow, cell-line, pancreatic",
            "name": "sampleSource",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "SomaticInformation",
    "namespace": "org.opencb.biodata.models.variant.avro",
    "type": "record"
}